Functions

# console_gui.h File Reference

GUI related functions in the console. More...

`#include "window_type.h"`

Go to the source code of this file.

## Functions
void | IConsoleResize (Window *w)
| Change the size of the in-game console window after the screen size changed, or the window state changed.
void | IConsoleSwitch ()
| Toggle in-game console between opened and closed.

## Detailed Description

GUI related functions in the console.

Definition in file console_gui.h.

## Function Documentation

void IConsoleResize | ( | Window * | w | ) |

Change the size of the in-game console window after the screen size changed, or the window state changed.

Definition at line 377 of file console_gui.cpp.

References Window::height, ICONSOLE_FULL, ICONSOLE_OPENED, MarkWholeScreenDirty(), and Window::width.

Referenced by IConsoleWindow::OnKeyPress(), and RelocateAllWindows().

void IConsoleSwitch | ( |  | ) |

Toggle in-game console between opened and closed.

Definition at line 395 of file console_gui.cpp.

References DeleteWindowById(), ICONSOLE_CLOSED, ICONSOLE_FULL, ICONSOLE_OPENED, MarkWholeScreenDirty(), and WC_CONSOLE.

Referenced by IConsoleClose(), MenuClickHelp(), MainWindow::OnKeyPress(), and IConsoleWindow::OnKeyPress().